# AntBuilder

abstract class AntBuilder : AntBuilder

An `AntBuilder` allows you to use Ant from your build script.

## Constructors

AntBuilder
Link copied to clipboard
constructor()

## Types

AntMessagePriority
Link copied to clipboard
enum AntMessagePriority
Represents the normal Ant message priorities.

## Properties

antXmlContext
Link copied to clipboard
val antXmlContext: AntXMLContext
metaClass
Link copied to clipboard
open var metaClass: MetaClass
project
Link copied to clipboard
val project: Project

## Functions

getAnt
Link copied to clipboard
open fun getAnt(): AntBuilder
Returns this AntBuilder.
getAntProject
Link copied to clipboard
open fun getAntProject(): Project
getLifecycleLogLevel
Link copied to clipboard
abstract fun getLifecycleLogLevel(): AntBuilder.AntMessagePriority
Returns the Ant message priority that corresponds to the Gradle "lifecycle" log level.
getProperties
Link copied to clipboard
abstract fun getProperties(): Map<String, @Nullable Any>
Returns the properties of the Ant project.
getProperty
Link copied to clipboard
open fun getProperty(p: String): Any
getReferences
Link copied to clipboard
abstract fun getReferences(): Map<String, @Nullable Any>
Returns the references of the Ant project.
importBuild
Link copied to clipboard
abstract fun importBuild(antBuildFile: Any)
Imports an Ant build into the associated Gradle project.
abstract fun importBuild(antBuildFile: Any, baseDirectory: String)
Imports an Ant build into the associated Gradle project, specifying the base directory for Gradle tasks that correspond to Ant targets.
abstract fun importBuild(antBuildFile: Any, taskNamer: Transformer<out @NotNull String, in String>)
Imports an Ant build into the associated Gradle project, potentially providing alternative names for Gradle tasks that correspond to Ant targets.
abstract fun importBuild(antBuildFile: Any, baseDirectory: String, taskNamer: Transformer<out @NotNull String, in String>)
Imports an Ant build into the associated Gradle project, specifying the base directory and potentially providing alternative names for Gradle tasks that correspond to Ant targets.
invokeMethod
Link copied to clipboard
open fun invokeMethod(p: String): Any
isSaveStreams
Link copied to clipboard
open fun isSaveStreams(): Boolean
setLifecycleLogLevel
Link copied to clipboard
open fun setLifecycleLogLevel(logLevel: String)
abstract fun setLifecycleLogLevel(logLevel: AntBuilder.AntMessagePriority)
Sets the Ant message priority that should correspond to the Gradle "lifecycle" log level.
setProperty
Link copied to clipboard
open fun setProperty(p: String, p1: Any)
setSaveStreams
Link copied to clipboard
open fun setSaveStreams(p: Boolean)